# Class SimpleTreeNode

java.lang.Object
jspecview.tree.SimpleTreeNode

All Implemented Interfaces:
  `JSVTreeNode`

public class SimpleTreeNode extends Object implements JSVTreeNode

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
`PanelNode`
`panelNode`

## Constructor Summary

Constructors
Constructor
Description
`SimpleTreeNode(String text, PanelNode panelNode)`

## Method Summary

Modifier and Type
Method
Description
`Enumeration<JSVTreeNode>`
`children()`
`int`
`getChildCount()`
`int`
`getIndex()`
`PanelNode`
`getPanelNode()`
`Object[]`
`getPath()`
`boolean`
`isLeaf()`
`void`
`setIndex(int index)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### panelNode

public PanelNode panelNode

### index

public int index

## Constructor Details

### SimpleTreeNode

public SimpleTreeNode(String text, PanelNode panelNode)

## Method Details

### getPanelNode

public PanelNode getPanelNode()

Specified by:
  `getPanelNode` in interface `JSVTreeNode`

### getIndex

public int getIndex()

Specified by:
  `getIndex` in interface `JSVTreeNode`

### setIndex

public void setIndex(int index)

Specified by:
  `setIndex` in interface `JSVTreeNode`

### children

public Enumeration<JSVTreeNode> children()

Specified by:
  `children` in interface `JSVTreeNode`

### getChildCount

public int getChildCount()

Specified by:
  `getChildCount` in interface `JSVTreeNode`

### getPath

public Object[] getPath()

Specified by:
  `getPath` in interface `JSVTreeNode`

### isLeaf

public boolean isLeaf()

Specified by:
  `isLeaf` in interface `JSVTreeNode`

### toString

public String toString()

Overrides:
  `toString` in class `Object`